API Reference
Franchisees
5 endpoints· Auth: JWT or API Key
patch
/api/v1/console/branches/{branchId}/franchisee JWT API KeyUpdate franchisee
Path parameters
| branchIdrequired string (uuid) | — |
Request body
application/json
{
"franchiseeId": "00000000-0000-0000-0000-000000000000"
}| franchiseeId string (uuid) | — |
Responses
200Success
cURL
curl -X PATCH "https://staging-api.panoptesos.com/api/v1/console/branches/{branchId}/franchisee" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"franchiseeId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/franchisees JWT API KeyGet franchisees
Query parameters
| Active boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/franchisees" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/franchisees JWT API KeyCreate franchisees
Request body
application/json
{
"name": "string",
"nameAr": "string",
"royaltyPctBp": 0
}| name string | — |
| nameAr string | — |
| royaltyPctBp integer (int32) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/franchisees" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"nameAr": "string",
"royaltyPctBp": 0
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
put
/api/v1/console/franchisees/{id} JWT API KeyUpdate id
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"name": "string",
"nameAr": "string",
"royaltyPctBp": 0,
"active": false
}| name string | — |
| nameAr string | — |
| royaltyPctBp integer (int32) | — |
| active boolean | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/franchisees/{id}" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"nameAr": "string",
"royaltyPctBp": 0,
"active": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/franchisees/{id}/royalty-statement JWT API KeyGet royalty-statement
Path parameters
| idrequired string (uuid) | — |
Query parameters
| From string (date) | — |
| To string (date) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/franchisees/{id}/royalty-statement" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu